> For the complete documentation index, see [llms.txt](https://docs.varbase.vardot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/vartheme-bs4.md).

# Vartheme BS4

Base theme for Varbase standard websites. Based on Bootstrap 4 framework using SASS, and extending Barrio contrib theme.

## Vartheme (Bootstrap 4 - SASS) Theme

{% hint style="info" %}
Varbase front-end theme are bundled through the **Vartheme BS4** theme.\
GitHub: <https://github.com/Vardot/vartheme_bs4>\
Drupal.org: <https://www.drupal.org/project/vartheme_bs4>

After building a project using the `varbase-project` template, you can see the code of the **Vartheme BS4** theme in:
{% endhint %}

```
project_directory
|-- docroot
    |-- themes
        |-- contrib
            |-- vartheme_bs4
```

Brings in the following core and contributed themes to your site:

| Theme                                                                   | Purpose                                                                                     |
| ----------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| [**Bootstrap Barrio**](https://www.drupal.org/project/bootstrap_barrio) | A flexible Booststrap based theme, with many regions and a responsive, mobile-first layout. |

{% content-ref url="/pages/-MEqkr7hrMZIG-c8y57y" %}
[Understanding The Vartheme Base Theme](/9.0.x/developers/theme-development-with-varbase/understanding-the-vartheme-base-theme.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MA0MNwJI5boKlsGE0zA" %}
[Creating Your Own Theme](/9.0.x/developers/theme-development-with-varbase/creating-your-own-theme.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/vartheme-bs4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
